#property script_show_inputs
#property strict

//+------------------------------------------------------------------+
//   
#import "ao.ex4"
//  
void   InitAO (int paramCount, int maxFFruns);
//   
void   StartAlgo (); 
//           
double GetMaxFF (); 
#import
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//    ,   
#import "ff.ex4"
//     
int    GetParamCount (); 
//  ,     
double FF (double &array []); 
//    
int    GetCountRunsFF (); 
#import
//+------------------------------------------------------------------+

//--- input parameters
input int MaxFFruns_P = 1000; 


//+------------------------------------------------------------------+
void OnStart () 
{ 
  // ,    
  int    paramCount = GetParamCount (); 

  ulong  startTime = GetMicrosecondCount (); 
  
  //------------------------------------------------------------------
  InitAO (paramCount, MaxFFruns_P);
  StartAlgo ();
  //------------------------------------------------------------------
  
  startTime = GetMicrosecondCount () - startTime; 
  
  Print (": " + DoubleToString (GetMaxFF (), 16)); 
  Print (" : " + (string)GetCountRunsFF ()); 
  Print (": " + (string)startTime + " ; " + DoubleToString ((double)startTime / 1000000.0, 8) + " c"); 
  Print ("---------------------------------");
}
//+------------------------------------------------------------------+